summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVishal Bhoj <vishal.bhoj@linaro.org>2015-10-08 08:15:48 +0000
committerLinaro Android Code Review <android-review@review.linaro.org>2015-10-08 08:15:48 +0000
commit0b8fc8318447fa62c427fb8a5d848b350c6c8600 (patch)
treecdda31e366a54701f83dbcfa5eafb7e9bf90b1d7
parent29cf16cb8354f914b9fea713bcec965719ef8a09 (diff)
parentbc07899e15642eb8659bf24c2ca002ea7baf6b3e (diff)
downloadandroid-patchsets-0b8fc8318447fa62c427fb8a5d848b350c6c8600.tar.gz
Merge "include s/w graphics patch for juno marshmallow build until mali libs are updated"
-rwxr-xr-xjuno-m-workarounds22
1 files changed, 22 insertions, 0 deletions
diff --git a/juno-m-workarounds b/juno-m-workarounds
new file mode 100755
index 0000000..a442060
--- /dev/null
+++ b/juno-m-workarounds
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+. $(dirname $0)/functions
+
+PATCHES=0
+if [ -n "$1" ]; then
+ AOSP="$1"
+else
+ AOSP="`pwd`"
+fi
+
+if ! [ -d "$AOSP" ] && ! [ -d "$AOSP/bionic" ] && [ -d "$AOSP"/build ]; then
+ echo "This script must be run from the AOSP source directory"
+ echo "or with the AOSP source directory as its first parameter."
+ exit 1
+fi
+
+##################################################
+################ Linaro hack ###################
+##################################################
+######## 32bpp software graphis support ########
+apply frameworks/native 147401/1